Bug 1176677 - webkitgtk4: move jsc to runtime package
Summary: webkitgtk4: move jsc to runtime package
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk4
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Popela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1166474
TreeView+ depends on / blocked
 
Reported: 2014-12-22 19:28 UTC by Yaakov Selkowitz
Modified: 2015-11-30 12:07 UTC (History)
4 users (show)

Fixed In Version: webkitgtk4-2.11.2-2.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-30 12:07:38 UTC


Attachments (Terms of Use)

Description Yaakov Selkowitz 2014-12-22 19:28:39 UTC
On secondary arches, rubygem-execjs can use jsc as a (server-side) JavaScript interpreter in place of v8-based solutions, which are not yet supported for these architectures (bug 1166474).  However, jsc is currently packaged with webkitgk4-devel, which would pull in a *ton* of unnecessary dependencies given that jsc (and libjavascriptcoregtk) only require glib2 and icu.

Could the webkitgtk4 subpackages be rearranged as such that a Requires: /usr/bin/jsc would pull in only a minimal dependency set, without breaking existing installations?

Comment 1 Fedora End Of Life 2015-11-04 14:34:50 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Vít Ondruch 2015-11-04 15:24:17 UTC
Tomáš, any chance to get this fixed?

Comment 3 Tomas Popela 2015-11-09 09:33:09 UTC
I don't see any problem of doing this (apart from a lack of time to do it) and I will *try* to get it done for F24. But I need to state here that the whole stuff around JS in WebKit is everything, but not stable enough on secondary arches.

Comment 4 Tomas Popela 2015-11-30 12:07:38 UTC
Fixed with webkitgtk4-2.11.2-2.fc24 that introduced the webkitgtk4-jsc and webkitgtk4-jsc-devel packages. Feel free to reopen this bug again if you notice some bug in packaging or other issues related to this change.


Note You need to log in before you can comment on or make changes to this bug.